%bcond_with base_python

%define python_build_version 3.9
%define __python %{_bindir}/python%{python_build_version}

%if %{with base_python}
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1))}}
%else
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1) .. str:sub(3,-1))}}
%endif

%define pypi_name python-dateutil

Name: python%{python_suffix}-dateutil
Version: 2.8.1
Release: 2
License: Apache-2.0
Summary: Extensions to the standard Python datetime module
Url: https://dateutil.readthedocs.io/

Source0: https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch: noarch

BuildRequires: python%{python_suffix}-devel
BuildRequires: python%{python_suffix}-pip

BuildRequires: python%{python_suffix}-six

Requires: python%{python_suffix}-six

%description
Provides powerful extensions to the standard datetime module available in Python.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py_build_wheel

%install
%py_install_wheel python_dateutil-%{version}-py2.py3-none-any.whl

%files
%defattr(-, qsys, *none)

%{python_sitelib}/dateutil*
%{python_sitelib}/python_dateutil*

%changelog
* Wed Jul 07 2021 Kevin Adler <kadler@us.ibm.com> - 2.8.1
- Update to 2.8.1

* Tue Jun 22 2021 Kevin Adler <kadler@us.ibm.com> - 2.8.0
- Port to Python 3.9
- Use macros from python-rpm-macros

* Tue May 26 2020 Naveen Ram <naveen.ram@ibm.com> - 2.8.0
- Update version to 2.8

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Ensure necessary dependencies are listed
- Remove -I and --no-deps from pip install so dependencies build from yum
- Add python%{python_suffix}-six to BuildRequires
- Use SPDX license identifier

* Sun Aug 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Add --no-index to pip, so it doesn't attempt to connect to the internet

* Fri Aug 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Initial commit
